How do I resolve 'Could not load file or assembly 'PDFNet.dll' ' when using PDFNet for .NET 4.x?

3471 views
Skip to first unread message

Support

unread,
Aug 11, 2010, 12:14:02 PM8/11/10
to PDFTron PDFNet SDK
Q: I am using your PDFNet SDK and everything works fine on my
development machine. (XP x86, VS2010, .Net 4.0 framework)

Whenever I publish my demo app to our server (Win Server 2003
x86, .Net framework 4.0), I receive the following error.

Could not load file or assembly 'PDFNet.dll' or one of its
dependencies. The specified module could not be found.

The PDFNet.dll is in the bin folder on the server.

Any assistance you can provide is greatly appreciated.

-------------------
A: In case of PDFNet for .NET 4.0 you need to have VC 2010
redistributable installed on your system (MSVCP100.DLL and
MSVCR100.DLL). This is a standard component of Visual Studio. In case
your target machine does not include this redistributable you can
download it from here:

Microsoft Visual C++ 2010 Redistributable Package (x86)
http://www.microsoft.com/downloads/details.aspx?FamilyID=9b2da534-3e03-4391-8a4d-074b9f2bc1bf

or

Microsoft Visual C++ 2010 Redistributable Package (x64)
http://www.microsoft.com/downloads/details.aspx?familyid=BD512D9E-43C8-4655-81BF-9350143D5867

You can either install the redistributable on the target machine or
you can copy the above mentioned DLL in the same folder as PDFNet.

Please note that PDFNet for .NET 1.1x - 3.5 does not have a dependency
on VC Redistributable, so it is a bit simpler to use from the
deployment perspective.

Support

unread,
Aug 11, 2010, 2:36:54 PM8/11/10
to PDFTron PDFNet SDK
Q: I tried installing the x86 package that you linked below on the
server.

That didn’t seem to work.

I was able to replace the PDFTron .net 4.0 version with the 3.5
version and it seems to be working.

-----------------
A: The MSDN link for VS2010 x86 redistributable was wrong. The correct
link is:

Microsoft Visual C++ 2010 Redistributable Package (x86)
http://www.microsoft.com/downloads/details.aspx?familyid=A7B7A05E-6DE6-4D3A-A423-37BF0912DB84&displaylang=en

PDFNet for .NET 1-3.5 versions worked because it does not depend on
the redistributable.

Aaron

unread,
Feb 21, 2021, 7:17:02 PM2/21/21
to PDFTron SDK
Note that the latest builds instead require the VC 2013 redistributable.
Reply all
Reply to author
Forward
0 new messages